--- plugins/check_ping.c
+++ plugins/check_ping.c
@@ -165,7 +165,11 @@
 							state_text (this_result), warn_text, pl, rta);
 		if (display_html == TRUE)
 			printf ("</A>");
-		printf ("\n");
+		char * data_rta = NULL;
+		char * data_pl = NULL;
+		asprintf(&data_rta, "%s", fperfdata ("rta", (double) rta, "ms", wrta>0?TRUE:FALSE, wrta, crta>0?TRUE:FALSE, crta, TRUE, 0, FALSE, 0));
+		asprintf(&data_pl, "%s", perfdata ("pl", (long) pl, "%", wpl>0?TRUE:FALSE, wpl, cpl>0?TRUE:FALSE, cpl, FALSE, 0, FALSE, 0));
+		printf("|%s %s\n",data_rta, data_pl);
 
 		if (verbose >= 2)
 			printf ("%f:%d%% %f:%d%%\n", wrta, wpl, crta, cpl);
